---
title: '-webkit-mask-attachment'
slug: Web/CSS/-webkit-mask-attachment
tags:
  - CSS
  - CSS Property
  - Layout
  - Non-standard
  - Reference
  - Web
  - 'recipe:css-property'
---
<div>{{CSSRef}}{{Non-standard_Header}}</div>

<p>If a {{CSSxRef("-webkit-mask-image")}} is specified, <code>-webkit-mask-attachment</code> determines whether the mask image's position is fixed within the viewport, or scrolls along with its containing block.</p>

<pre class="brush: css no-line-numbers notranslate">/* Keyword values */
-webkit-mask-attachment: scroll;
-webkit-mask-attachment: fixed;
-webkit-mask-attachment: local;

/* Multiple values */
-webkit-mask-attachment: scroll, local;
-webkit-mask-attachment: fixed, local, scroll;

/* Global values */
-webkit-mask-attachment: inherit;
-webkit-mask-attachment: initial;
-webkit-mask-attachment: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt>scroll</dt>
 <dd>If <code>scroll</code> is specified, the mask image scrolls within the viewport along with the block that contains the mask image.</dd>
 <dt>fixed</dt>
 <dd>If <code>fixed</code> is specified, the mask image does not scroll with its containing element, instead remaining stationary within the viewport.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Fixing_a_mask_image_to_the_viewport">Fixing a mask image to the viewport</h3>

<pre class="brush: css notranslate">body {
  -webkit-mask-image: url('images/mask.png');
  -webkit-mask-attachment: fixed;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-webkit-mask-attachment")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSSxRef("-webkit-mask")}}</li>
 <li>{{CSSxRef("-webkit-mask-clip")}}</li>
 <li>{{CSSxRef("-webkit-mask-box-image")}}</li>
 <li>{{CSSxRef("-webkit-mask-origin")}}</li>
 <li>{{CSSxRef("-webkit-mask-image")}}</li>
 <li>{{CSSxRef("-webkit-mask-composite")}}</li>
 <li>{{CSSxRef("-webkit-mask-repeat")}}</li>
</ul>
